@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: "Poppins", sans-serif;
  width: 100%;
}

/*Header Section*/
.header {
  background: radial-gradient(#fff, #74b9ff);
  margin: auto;
  padding-left: 25px;
  padding-right: 25px;
}
.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px;
}
.navbar .logo h2 {
  font-size: 28px;
  letter-spacing: 1px;
}
nav ul {
  list-style-type: none;
  margin-top: 10px;
}
nav ul li {
  display: inline;
  margin-right: 20px;
  font-size: 20px;
}
nav ul li a {
  text-decoration: none;
  color: black;
}
nav ul li a:hover {
  border-bottom: 2px solid #fbc531;
}
.navbar .menu-icon {
  display: none;
  width: 28px;
  margin-left: 20px;
}

/*Nav Responsive*/
@media only screen and (max-width: 768px) {
  nav ul {
    display: none;
  }
  .navbar .menu-icon {
    display: block;
  }
}

.main {
  display: flex;
  width: 100%;
  height: 88vh;
  align-items: center;
  justify-content: center;
}
.column {
  flex-basis: 50%;
  margin: 30px;
}
.column h1 {
  font-size: 50px;
  line-height: 1.3;
  margin-bottom: 20px;
}
.column h1 span {
  color: #fbc531;
}
.column p {
  font-size: 18px;
  line-height: 1.6;
}
.button {
  display: inline-block;
  background-color: #fbc531;
  text-decoration: none;
  font-size: 18px;
  margin-top: 20px;
  padding: 12px;
  color: white;
  border-radius: 15px;
  cursor: pointer;
}
/* Hero Responsive */
@media only screen and (max-width: 768px) {
  .main {
    height: auto;
    flex-direction: column;
    text-align: center;
  }
  .header {
    padding-left: 15px;
    padding-right: 15px;
  }
  .column {
    margin: 25px;
  }
  .column h1 {
    font-size: 45px;
    margin-bottom: 25px;
  }
  .column img {
    height: 250px;
    width: 350px;
  }
  .button {
    margin-top: 30px;
  }
}

/*Categoreis Section*/
.categories {
  margin: 70px 0;
  text-align: center;
}
.categories h2 {
  display: inline-block;
  font-size: 28px;
  font-weight: 400;
  margin-bottom: 35px;
  border-bottom: 2px solid #fbc531;
}
.categories .row {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  text-align: left;
  margin-top: 15px;
  margin-bottom: 15px;
}
.categories .row img {
  height: 250px;
  width: 300px;
  margin-bottom: 20px;
}
.categories .row p {
  font-size: 18px;
}
.categories .row p span {
  background-color: #74b9ff;
  padding: 5px;
  font-size: 16px;
}
/*Categories Responsive*/
@media only screen and (max-width: 768px) {
  .categories .row {
    flex-direction: column;
  }
  .categories .row p {
    margin-bottom: 40px;
  }
}

/*Products Section*/
.products {
  margin: 50px 0;
  text-align: center;
}
.products h2 {
  display: inline-block;
  font-size: 28px;
  font-weight: 400;
  margin-bottom: 50px;
  border-bottom: 2px solid #fbc531;
}
.products .row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0 75px;
  flex-wrap: wrap;
  text-align: left;
  margin-top: 15px;
}

.products .row img {
  height: 300px;
  width: 250px;
  margin-bottom: 20px;
}
.products .product {
  transition: transform 0.5s;
  margin-bottom: 50px;
  cursor: pointer;
}
.products .product:hover {
  transform: translateY(-5px);
}
.products .row .product h4 {
  font-weight: 400;
  font-size: 18px;
}
.products .row .product p {
  font-size: 16px;
}
.rating i {
  color: #fbc531;
}

/*Offer Section*/
.offer {
  margin: 70px 0;
  padding: 30px 0;
  background: radial-gradient(#fff, #74b9ff);
}
.offer .offer-container {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 20px 50px;
}
.offer .offer-container .offer-image img {
  height: 300px;
  width: 350px;
}
.offer .offer-container .offer-details {
  flex-basis: 50%;
}
.offer .offer-container .offer-details p {
  font-size: 17px;
}
.offer .offer-container .offer-details h1 {
  font-size: 35px;
  letter-spacing: 2px;
  margin-bottom: 7px;
}
/*Offer Responsive*/
@media only screen and (max-width: 768px) {
  .offer .offer-container {
    flex-direction: column;
    margin-top: 60px;
    margin-left: 35px;
    margin-right: 25px;
  }
  .offer .offer-container .offer-image img {
    margin-bottom: 60px;
  }
  .offer .offer-container #offer-button {
    display: block;
    width: 175px;
    text-align: center;
    margin-bottom: 40px;
  }
}

/*Reviews Section*/
.reviews {
  margin-top: 50px;
  margin-bottom: 70px;
  text-align: center;
}
.reviews h2 {
  display: inline-block;
  font-size: 28px;
  font-weight: 400;
  margin-bottom: 50px;
  border-bottom: 2px solid #fbc531;
}
.reviews .row {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  margin: 0 75px;
  text-align: center;
  margin-top: 15px;
}
.reviews .review {
  flex-basis: 30%;
  padding: 40px 20px;
  box-shadow: 0 0 20px 0px rgba(0, 0, 0, 0.1);
  cursor: pointer;
}
.reviews .review:hover {
  box-shadow: none;
}
.reviews .review i.fa-quote-left {
  color: #fbc531;
  font-size: 30px;
  margin: 10px;
}
.reviews .review img {
  width: 50px;
  height: 50px;
  margin-top: 20px;
  border-radius: 50%;
}
.reviews .review p {
  font-size: 14px;
  margin: 12px 0;
  color: #777;
}
.reviews .review h3 {
  font-weight: 600;
  color: #555;
  font-size: 18px;
  margin-top: 12px;
}
/*Review Responsive*/
@media only screen and (max-width: 768px) {
  .reviews .row {
    flex-direction: column;
    margin: 0 40px;
  }
  .reviews .review {
    margin-bottom: 50px;
  }
}

/*Footer Section*/
.footer {
  width: 100%;
  margin-top: 50px;
  background-color: #74b9ff;
  padding: 30px 50px;
  display: flex;
  justify-content: center;
  align-content: center;
}
.footer .row {
  padding: 20px;
  margin-right: 25px;
  flex-basis: 25%;
}
.footer h2 {
  font-size: 22px;
  margin-bottom: 5px;
}
.footer p {
  font-size: 16px;
  margin-bottom: 10px;
  color: #555;
}
.footer .download {
  display: flex;
  justify-content: space-around;
}
.footer .download img {
  margin-top: 15px;
  width: 50%;
  margin-left: 15px;
}
.footer ul {
  list-style: none;
  padding: 10px 0;
  color: #555;
}
.copyright {
  text-align: center;
  margin: 10px;
  color: #555;
}

/*Footer Responsive*/
@media only screen and (max-width: 768px) {
  .footer {
    flex-direction: column;
    padding: 10px 25px;
  }
  .footer p {
    font-size: 18px;
  }
}
